Package be.fgov.ehealth.genericinsurability.core.v1

# Class CareProviderType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.CareProviderType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class CareProviderType extends Object implements Serializable
Information about a care provider. This is a person or institution that provides health care service to persons.

Java class for CareProviderType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareProviderType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nihii" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}NihiiType"/>
             <element name="PhysicalPerson" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}IdType" minOccurs="0"/>
             <element name="Organization" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}IdType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CareProviderType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NihiiType`
  `getNihii()`
  The NIHII (FR:INAMI, NL:RIZIV) number of the care provider.
  `IdType`
  `getOrganization()`
  The organization that is linked to the NIHII number provided.
  `IdType`
  `getPhysicalPerson()`
  The physical person that is linked to the NIHII number provided.
  `void`
  `setNihii(NihiiType value)`
  Sets the value of the nihii property.
  `void`
  `setOrganization(IdType value)`
  Sets the value of the organization property.
  `void`
  `setPhysicalPerson(IdType value)`
  Sets the value of the physicalPerson property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CareProviderType

    public CareProviderType()

- ## Method Details

  - ### getNihii

    public NihiiType getNihii()
    The NIHII (FR:INAMI, NL:RIZIV) number of the care provider. This is always required.
    Returns:
      possible object is `NihiiType`

  - ### setNihii

    public void setNihii(NihiiType value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `NihiiType`
    See Also:
      - `getNihii()`

  - ### getPhysicalPerson

    public IdType getPhysicalPerson()
    The physical person that is linked to the NIHII number provided. Should only be provided when the NIHII is linked a person. See service catalogue for more details.
    Returns:
      possible object is `IdType`

  - ### setPhysicalPerson

    public void setPhysicalPerson(IdType value)
    Sets the value of the physicalPerson property.
    Parameters:
      `value` - allowed object is `IdType`
    See Also:
      - `getPhysicalPerson()`

  - ### getOrganization

    public IdType getOrganization()
    The organization that is linked to the NIHII number provided. Should only be provided when the NIHII is linked an organization. See service catalogue for more details.
    Returns:
      possible object is `IdType`

  - ### setOrganization

    public void setOrganization(IdType value)
    Sets the value of the organization property.
    Parameters:
      `value` - allowed object is `IdType`
    See Also:
      - `getOrganization()`